## sonobuoy

Generate reports on your Kubernetes cluster by running plugins

### Synopsis

Sonobuoy is a Kubernetes component that generates reports on cluster conformance, configuration, and more

```
sonobuoy [flags]
```

### Options

```
  -h, --help          help for sonobuoy
      --level level   Log level. One of {panic, fatal, error, warn, info, debug, trace} (default info)
```

### SEE ALSO

* [sonobuoy delete](sonobuoy_delete.md)	 - Deletes Kubernetes resources that were generated by a Sonobuoy run
* [sonobuoy e2e](sonobuoy_e2e.md)	 - Generates a list of all tests and tags in that tests
* [sonobuoy gen](sonobuoy_gen.md)	 - Generates a sonobuoy manifest for submission via kubectl
* [sonobuoy get](sonobuoy_get.md)	 - Fetches Sonobuoy resources of a specified type
* [sonobuoy images](sonobuoy_images.md)	 - Manage images used in a plugin to facilitate running them in airgapped (or similar) environments. Supported plugins are: 'e2e'
* [sonobuoy logs](sonobuoy_logs.md)	 - Dumps the logs of the currently running Sonobuoy containers for diagnostics
* [sonobuoy modes](sonobuoy_modes.md)	 - Display the various modes in which to run the e2e plugin
* [sonobuoy plugin](sonobuoy_plugin.md)	 - Manage your installed plugins
* [sonobuoy query](sonobuoy_query.md)	 - Runs queries against your cluster in order to aid in debugging.
* [sonobuoy results](sonobuoy_results.md)	 - Inspect plugin results.
* [sonobuoy retrieve](sonobuoy_retrieve.md)	 - Retrieves the results of a sonobuoy run to a specified path
* [sonobuoy run](sonobuoy_run.md)	 - Starts a Sonobuoy run by launching the Sonobuoy aggregator and plugin pods.
* [sonobuoy status](sonobuoy_status.md)	 - Gets a summarized status of a sonobuoy run
* [sonobuoy version](sonobuoy_version.md)	 - Print sonobuoy version
* [sonobuoy wait](sonobuoy_wait.md)	 - Waits on the Sonobuoy run in the targeted namespace.

###### Auto generated by spf13/cobra on 19-Oct-2023
